function [ Y_t , i_t , r_t ] = ADCurve( Pi_t , Y_tplus1 , Pi_tplus1 , a_tplus1 , D_t , Model )
% Calculates the AD curve.

PiBar = Model.Parameters.PiBar;
aBar = Model.Parameters.aBar;
PhiY  = Model.Parameters.PhiY;
PhiPi = Model.Parameters.PhiPi;
Beta  = Model.Parameters.Beta;
Ybar  = Model.SteadyState.L;
T = Model.Numerics.T;

Y_t = (((1+PiBar)./(1+Pi_t))^((1+PhiPi)./(1+PhiY))).* ...
      ( Y_tplus1^(1./(1+PhiY)) ).* ...
      ( Ybar^(PhiY./(1+PhiY)) ).* ...
      (((1+a_tplus1)./(1+aBar))^(1./(1+PhiY))).* ...
      exp( D_t./(1+PhiY) ).* ...
      ( ( (1+Pi_tplus1)./(1+PiBar) ).^(1./(1+PhiY)) ) ;
    
i_t = ((1+PiBar).*(1+aBar)./Beta).*((Y_t./Ybar).^PhiY).*(((1+Pi_t)./(1+PiBar)).^(1+PhiPi))-1;
r_t = ( 1 + i_t )./(1 + Pi_tplus1 )-1;

end

