function [ ExcessDemand ] = ADMinusAS( V_tplus1_wp , G_tminus1_wp , Y_tplus1 , Pi_t , Pi_tplus1 , D_t , a_t , a_tplus1 , Model )
%ADMinusASCurve    Calculates the difference between aggregate demand and aggregate supply for a given inflation rate.

% Evaluating the AD Curve
[ L_AD , i_t , r_t ] = ADCurve( Pi_t , Y_tplus1 , Pi_tplus1 , a_tplus1 , D_t , Model );

% Evaluating the AS Curve
[ w_t_Zp , Z_t_wp , V_t_wp ] = ... 
        ValueFunctionIteration( V_tplus1_wp , L_AD , D_t , Pi_tplus1 , a_tplus1 , Model );
        
[ L_AS , ZStar ] = AggregatesCalculation( G_tminus1_wp , w_t_Zp , Z_t_wp , Pi_t , a_t , L_AD , Model );

% Calculating excess demand
ExcessDemand = L_AD - L_AS ;

end

