function [ Pi_ , i_ , r_ ] = PiCalculation( Y , a , D , Model )
%PiCalculation Construct the series for inflation

PiBar = Model.Parameters.PiBar;
aBar = Model.Parameters.aBar;
PhiY  = Model.Parameters.PhiY;
PhiPi = Model.Parameters.PhiPi;
Theta = 1;
Beta  = Model.Parameters.Beta;
Ybar  = Model.SteadyState.L;
T = Model.Numerics.T;

Pi_ = zeros( T+2 , 1 );
Pi_(1,1) = PiBar;
Pi_(T+2,1) = PiBar;

for t_ = T+1:-1:2;
   
    Pi_(t_,1) = ...
        (1+PiBar).*( ( Ybar ./ Y(t_,1) ).^(PhiY./(1+PhiPi)) ).* ...
        ( ( Y(t_+1,1)./Y(t_,1) ).^(1./(Theta.*(1+PhiPi))) ).* ...
        ( ( (1+Pi_(t_+1,1))./(1+PiBar) ).^(1./(1+PhiPi)) ).* ...
        ( ( (1+a(t_+1,1))./(1+aBar) ).^(1./(1+PhiPi)) ).* ...
        exp( D(t_,1)./(1+PhiPi) ) - 1 ;
    
end

i_ = ((1+PiBar).*(1+aBar)./Beta).*((Y./Ybar).^PhiY).*(((1+Pi_)./(1+PiBar)).^(1+PhiPi))-1;
Pitplus1 = [ Pi_(2:(T+2),1) ; PiBar ];
r_ = ( 1 + i_ )./(1 + Pitplus1 )-1;

end

