function [ Omega ] = UtilityFunction( w , Z , L , Model )

Gam = Model.Parameters.Gamma;
Eta = Model.Parameters.Eta;

wLow= 0.1.*( (Model.Numerics.ZLow).^(Gam./(Gam+Eta)) ).* ...
                  ( (L).^((Gam+1)./(Gam+Eta)) );

w = (w <= wLow).*wLow + (w > wLow).*w;

Omega = (1./w).^(Eta-1) - ...
        (Gam./(1+Gam)).*Z.*( (1./w).^(Eta.*(Gam+1)./Gam) ).*( L.^((Gam+1)./Gam) );

end
