function [ g_t_wp , G_t_wp ] = WageDistributionIteration( G_tminus1_wp , Z_t_wp , w_t_Zp , Pi_t , a_t , Model )
%WageDistributionIteration Iterates over recursion that give the
%distribution of real wages.

wMax = polyval( w_t_Zp , Model.Numerics.ZUp );
wMax = max( wMax , max( G_tminus1_wp.breaks )./((1+Pi_t).*(1+a_t)) );
wMin = polyval( w_t_Zp , Model.Numerics.ZLow );

GridPoints = Model.Numerics.wPoints;
wg = wMin + (cumsum(ones(GridPoints,1))-1).*(wMax-wMin)./(GridPoints-1);

Z_t_wg = polyval( Z_t_wp , wg );
Z_t_wg = max(min(Z_t_wg,Model.Numerics.ZUp),Model.Numerics.ZLow);

G_tminus1_wg = ppvalcutoff( G_tminus1_wp , wg.*(1+Pi_t).*(1+a_t) , 0 , 1 );
% Wrong code from April 2012 version: Misses phase shift of distribution
% G_tminus1_wg = ppvalcutoff( G_tminus1_wp , wg , 0 , 1 );

[ f_Z , F_Z ] = ShockDistribution( Z_t_wg , Model ) ;

G_t_wg = (1-Model.Parameters.Lamda).*F_Z + ...
         Model.Parameters.Lamda.*G_tminus1_wg.*F_Z ;
G_t_wg(1,1) = 0;
G_t_wg(size(G_t_wg,1),1) = 1;

G_t_wp = pchip( wg , G_t_wg );
g_t_wp = ppder( G_t_wp );

end

