function PP = ppint( pp )
%PPINT Integrates the piecewise polynomial pp
%  pp is a piecewise polynomial object.

      sf=repmat(pp.order:-1:1,pp.pieces,1);
      ico=[pp.coefs./sf zeros(pp.pieces,1)];
      pp.order=pp.order+1;
      dx=diff(pp.breaks(:));
      tmp=ico(:,1);
      for i=2:pp.order % make integral cumulative
         tmp=dx.*tmp + ico(:,i);
      end
      ico(:,end)=cumsum([0;tmp(1:end-1)]);
      pp.coefs=ico;
      
      PP = pp;
end

