clc;
clear;
warning('off','MATLAB:polyfit:RepeatedPointsOrRescale');
MyModel = DNWR.Model;

% Basic Model Parameters
MyModel.Parameters.Eta = 2.5;
MyModel.Parameters.PiBar = ((1+0.02)^0.25)-1;
MyModel.Parameters.PhiY = 1;
MyModel.Parameters.PhiPi = 0.3;
MyModel.Parameters.Sigma = 0.25;
MyModel.Parameters.aBar = 0.0066;
MyModel.Name = 'Steady state wage distribution';
MyModel.Parameters.Beta = (1-0.02)^0.25;

% Loop over different shocks. Solve for transition path and write output
for iFlex = 1:2

    if (iFlex == 1)
        
        OutputFile2 = 'C:\Bart\Research\Downward nom wage rigidities\Matlab\Results\SS Wages flexible - G.txt';
        OutputFile3 = 'C:\Bart\Research\Downward nom wage rigidities\Matlab\Results\SS Wages flexible - H.txt';
        MyModel.Parameters.Lamda = 0;
        
    elseif (iFlex == 2 )
    
        OutputFile2 = 'C:\Bart\Research\Downward nom wage rigidities\Matlab\Results\SS Wages DNWR - G.txt';
        OutputFile3 = 'C:\Bart\Research\Downward nom wage rigidities\Matlab\Results\SS Wages DNWR - H.txt';
        MyModel.Parameters.Lamda = 0.9;
        
    else
        
    end
      
    MyModel.SteadyState.Solve;
    
    dlnWVec = -50:1:51 ;
    dlnWVec = dlnWVec'./200-0.0025;
    
    OutputMat = zeros( size(dlnWVec,1) , 2 );
    OutputMat(:,1) = dlnWVec;
    
    for idlnW = 1:size(dlnWVec,1);            
        
       OutputMat(idlnW,2) = MyModel.SteadyState.H( dlnWVec(idlnW , 1 ) );
       
    end
    fid = fopen( OutputFile3 , 'w' );
    count = fprintf(fid, '%12.8f %12.8f \n' ,OutputMat');
    status = fclose( fid );
    
    OutputMat = MyModel.SteadyState.G_wp.breaks';
    OutputMat = [ OutputMat MyModel.SteadyState.G(MyModel.SteadyState.G_wp.breaks') ];
    
    fid = fopen( OutputFile2 , 'w' );
    count = fprintf(fid, '%12.8f %12.8f \n' ,OutputMat');
    status = fclose( fid );
    
end


